import React,{ Component } from "react";
import axios from 'axios';
import '../signin/css/signincdi.css';
import Videostatisticscom from './component/Videostatisticscom';
import Videostatisticslist from './component/Videostatisticslist';
import Videostatisticscomtwo from './component/Videostatisticscomtwo';
import Studenticscom from './component/Studenticscom';
import Studentstatistics from './component/Studentstatistics';


//在线学习
class Videostatistics extends Component{
	constructor(props){
		super(props);
    this.state={
			watch_staticsdata:[],
			tisticsbool:false,
			tisid:null,
			mytitle:""
		}


	}

	componentDidMount() {
		const myisAdmin= this.props&& this.props.isAdmin();
		if(myisAdmin===true){
			this.togetdatas();
		}else{
     this.togetdataStudent();
		}

	}
	details=()=>{

	}

   togetdatas(){
		 console.log("视频统计老师");
		 const CourseId=this.props.match.params.coursesId;
		 let url=`/courses/${CourseId}/watch_statics.json`;
		 axios.get(url,{params: {all:true}}).then((response) => {
			 if(response){
         this.setState({
					 watch_staticsdata:response.data,
				 })

			 }

		 }).catch((error) => {


		 });
	 }

	togetdataStudent(){
		console.log("视频统计学生数据");
		const CourseId=this.props.match.params.coursesId;
		let url=`/courses/${CourseId}/watch_statics.json`;
		axios.get(url).then((response) => {
			if(response){
				this.setState({
					watch_staticsdata:response.data,
				})

			}

		}).catch((error) => {


		});
	}

	tisticsbools=(bool,id,mytitle)=>{
		this.setState({
			tisticsbool:bool,
			tisid:id,
			mytitle:mytitle
		})
	}


	render(){
		let {watch_staticsdata,tisticsbool,tisid,mytitle}= this.state;
		const isAdmin = this.props&& this.props.isAdmin();

		return(
			<React.Fragment>
				<div className="ws100s">
					<script>
						{
							`
							a{text-decoration:none !important;}
						  a:hover {text-decoration: none !important;}    
              a:active{text-decoration:none !important;}
							
							`
						}
					</script>
					{
						tisticsbool===false?
							<div className="ws100s" style={{
								position: "relative",
							}}>
								{
									isAdmin?
										<Videostatisticscom {...this.state} {...this.props} watch_staticsdata={watch_staticsdata} statisticsy={(b)=>this.props.statisticsy(b)}></Videostatisticscom>
										:
										<Studenticscom {...this.state} {...this.props} watch_staticsdata={watch_staticsdata} statisticsy={(b)=>this.props.statisticsy(b)}></Studenticscom>

								}



								<div>
									{	isAdmin?
										<Videostatisticslist  {...this.state} {...this.props} tisticsbools={(b,id,t)=>this.tisticsbools(b,id,t)}></Videostatisticslist>
										:
										<Studentstatistics  {...this.state} {...this.props} tisticsbools={(b,id,t)=>this.tisticsbools(b,id,t)}></Studentstatistics>
									}


								</div>
							</div>
							:
            <Videostatisticscomtwo  {...this.state} {...this.props} tisid={tisid} mytitle={mytitle} tisticsbools={(b,id,t)=>this.tisticsbools(b,id,t)}></Videostatisticscomtwo>
					}

				</div>
			</React.Fragment>
		)
	}
}
export default Videostatistics;
